#
# IObjectFactory
#
# Object factory interface
#
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public
# License (MPL)
#

"""
$Id: ObjectFactory.py,v 1.3 2003/05/02 13:58:06 philipp Exp $
"""

from Interface import Interface

class IObjectFactory(Interface):
    """
    Object factory interface
    """

    def createObject(id, title, data, **kw):
        """
        Create an object
        """
